## gnupg2 2.0.24

=== debian/changelog ===
gnupg2 (2.0.24-1ubuntu2.2) utopic-security; urgency=medium

  * Fix screening responses from keyservers (LP: #1421640)
    - d/p/0002-Make-screening-of-keyserver-result-work-with-multi-k.patch
    - d/p/0003-Add-kbnode_t-for-easier-backporting.patch
    - d/p/0004-gpg-Fix-regression-due-to-the-keyserver-import-filte.patch
  * Fix large key size regression from CVE-2014-5270 changes (LP: #1371766)
    - d/p/Add-build-and-runtime-support-for-larger-RSA-key.patch
    - debian/rules: build with --enable-large-secmem
  * SECURITY UPDATE: invalid memory read via invalid keyring
    - debian/patches/CVE-2015-1606.patch: skip all packets not allowed in
      a keyring in g10/keyring.c.
    - CVE-2015-1606
  * SECURITY UPDATE: memcpy with overlapping ranges
    - debian/patches/CVE-2015-1607.patch: use inline functions to convert
      buffer data to scalars in common/iobuf.c, g10/build-packet.c,
      g10/getkey.c, g10/keyid.c, g10/main.h, g10/misc.c,
      g10/parse-packet.c, g10/tdbio.c, g10/trustdb.c, include/host2net.h,
      kbx/keybox-dump.c, kbx/keybox-openpgp.c, kbx/keybox-search.c,
      kbx/keybox-update.c, scd/apdu.c, scd/app-openpgp.c,
      scd/ccid-driver.c, scd/pcsc-wrapper.c, tools/ccidmon.c.
    - CVE-2015-1607

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 27 Mar 2015 08:16:53 -0400

gnupg2 (2.0.24-1ubuntu2) utopic; urgency=medium

  * debian/control: drop dirmngr to Suggests as it is in universe.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 29 Jul 2014 11:55:05 -0400

gnupg2 (2.0.24-1ubuntu1) utopic; urgency=medium

  * Merge from Debian, remaining changes:
    - Drop sh prefix from openpgp test environment as it leads to exec
      invocations of sh /bin/bash leading to syntax errors from sh.  Fixes
      FTBFS detected in Ubuntu saucy archive rebuild.
    - Add udev rules to give gpg access to some smartcard readers;
      Debian #543217.
    - debian/gnupg2.udev: udev rules to set ACLs on SCM smartcard readers.
    - Add upstart user job for gpg-agent.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Jun 2014 14:50:31 -0400

gnupg2 (2.0.24-1) unstable; urgency=high

  * New upstream release. Fixes CVE-2014-4617 "infinite loop when
    decompressing data packets". (Closes: #752498)
  * debian/patches/02-gpgv2-dont-link-libassuan.diff: Drop, now
    upstreamed.

 -- Eric Dorland <eric@debian.org>  Wed, 25 Jun 2014 00:11:19 -0400

gnupg2 (2.0.23-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/signing-key.asc: Rename upstream-signing-key.pgp to
    the new, supported name.
  * debian/control: Restore versioned conflict against gpg-idea. (Closes:
    #733984)
  * debian/control: Add Recommends on dirmngr for gpgsm. (Closes: #683579)

 -- Eric Dorland <eric@debian.org>  Sun, 08 Jun 2014 19:20:17 -0400

gnupg2 (2.0.22-3ubuntu2) utopic; urgency=medium

  * Don't start gpg-agent upstart user job, if there is one available
    already.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 16:42:05 +0100
