=== debian/control ===
Source: gnupg2
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), dh-autoreconf, automake1.11, autopoint,
 gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev,
 libgpg-error-dev (>= 1.11), libassuan-dev (>= 2.0), libgcrypt11-dev
 (>= 1.4.0), libksba-dev (>= 1.0.7), libpth-dev, libusb-dev, texinfo,
 transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev
Build-Conflicts: automake (>= 1:1.12)
Vcs-Git: git://anonscm.debian.org/users/eric/gnupg2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/eric/gnupg2.git
Homepage: http://www.gnupg.org/

Package: gnupg-agent
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, pinentry-gtk2 | pinentry-curses | pinentry
Recommends: gnupg2 | gpgsm | gnupg
Conflicts: newpg
Replaces: newpg, gnupg2 (<< 2.0.18-2), gpgsm (<< 2.0.18-2)
Breaks: gnupg2 (<< 2.0.18-2), gpgsm (<< 2.0.18-2)
Description: GNU privacy guard - password agent
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 This package contains the agent program gpg-agent which keeps a
 temporary secure storage of your passphrases.

Package: scdaemon
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gpgsm (<< 2.0.18-2)
Replaces: gpgsm (<< 2.0.18-2)
Description: GNU privacy guard - smart card support
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 This package contains the smart card program scdaemon, which is used
 by gnupg-agent to access OpenPGP smart cards.

Package: gpgsm
Architecture: any
Multi-Arch: foreign
Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 scdaemon (= ${binary:Version})
Suggests: dirmngr
Breaks: gnupg2 (<< 2.0.0-2)
Replaces: gnupg2 (<< 2.0.0-2)
Description: GNU privacy guard - S/MIME version
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 This package contains the gpgsm program. gpgsm is a tool to provide
 digital encryption and signing services on X.509 certificates and the
 CMS protocol. gpgsm includes complete certificate management.

Package: gnupg2
Architecture: any
Multi-Arch: foreign
Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  dpkg (>= 1.15.4) | install-info
Recommends: ${shlibs:Recommends}
Suggests: gnupg-doc, xloadimage
Conflicts: gpg-idea (<= 2.2)
Description: GNU privacy guard - a free PGP replacement (new v2.x)
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 GnuPG 2.x is the new modularized version of GnuPG supporting OpenPGP
 and S/MIME.

Package: gpgv2
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: gnupg2 (<< 2.0.21-2)
Replaces: gnupg2 (<< 2.0.21-2)
Suggests: gnupg2
Description: GNU privacy guard - signature verification tool (new v2.x)
 GnuPG is GNU's tool for secure communication and data storage.
 .
 gpgv2 is actually a stripped-down version of gpg2 which is only able
 to check signatures. It is somewhat smaller than the fully-blown gpg2
 and uses a different (and simpler) way to check that the public keys
 used to make the signature are valid. There are no configuration
 files and only a few options are implemented.
