## gnupg2 2.0.25

=== debian/changelog ===
gnupg2 (2.0.25-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 14 Jul 2014 14:50:32 +0200

gnupg2 (2.0.25-1) unstable; urgency=medium

  * New upstream release.

 -- Eric Dorland <eric@debian.org>  Mon, 30 Jun 2014 13:10:04 -0400

gnupg2 (2.0.24-1~bpo70+1) wheezy-backports; urgency=high

  * Rebuild for wheezy-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 27 Jun 2014 11:01:58 +0200

gnupg2 (2.0.22-3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 30 May 2014 13:15:23 +0200
