=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnupg2
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
+Maintainer: Eric Dorland <eric@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dh-autoreconf, automake1.11, autopoint,
  gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev,
@@ -51,7 +50,7 @@
 Multi-Arch: foreign
 Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
  scdaemon (= ${binary:Version})
-Suggests: dirmngr
+Recommends: dirmngr
 Breaks: gnupg2 (<< 2.0.0-2)
 Replaces: gnupg2 (<< 2.0.0-2)
 Description: GNU privacy guard - S/MIME version
