=== debian/control ===
--- 
+++ 
@@ -1,25 +1,44 @@
 Source: gnupg2
 Section: utils
 Priority: optional
-Maintainer: Eric Dorland <eric@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), dh-autoreconf, automake1.11, autopoint,
- gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev,
- libgpg-error-dev (>= 1.11), libassuan-dev (>= 2.0), libgcrypt11-dev
- (>= 1.4.0), libksba-dev (>= 1.0.7), libpth-dev, libusb-dev, texinfo,
- transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev
-Build-Conflicts: automake (>= 1:1.12)
-Vcs-Git: git://anonscm.debian.org/users/eric/gnupg2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/eric/gnupg2.git
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
+Uploaders: Eric Dorland <eric@debian.org>,
+           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Standards-Version: 3.9.6
+Build-Depends: automake1.11,
+               autopoint,
+               debhelper (>= 9),
+               dh-autoreconf,
+               file,
+               gettext,
+               ghostscript,
+               libassuan-dev (>= 2.0),
+               libbz2-dev,
+               libcurl4-gnutls-dev,
+               libgcrypt20-dev (>= 1.4.0),
+               libgpg-error-dev (>= 1.11),
+               libksba-dev (>= 1.0.7),
+               libldap2-dev,
+               libpth-dev,
+               libreadline-dev,
+               libusb-dev,
+               texinfo,
+               transfig,
+               zlib1g-dev | libz-dev
+Vcs-Git: git://anonscm.debian.org/pkg-gnupg/gnupg2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnupg/gnupg2.git
 Homepage: http://www.gnupg.org/
 
 Package: gnupg-agent
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, pinentry-gtk2 | pinentry-curses | pinentry
+Depends: pinentry-gtk2 | pinentry-curses | pinentry,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: gnupg2 | gpgsm | gnupg
 Conflicts: newpg
-Replaces: newpg, gnupg2 (<< 2.0.18-2), gpgsm (<< 2.0.18-2)
+Replaces: gnupg2 (<< 2.0.18-2), gpgsm (<< 2.0.18-2), newpg
 Breaks: gnupg2 (<< 2.0.18-2), gpgsm (<< 2.0.18-2)
 Description: GNU privacy guard - password agent
  GnuPG is GNU's tool for secure communication and data storage.
@@ -33,7 +52,7 @@
 Package: scdaemon
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: gpgsm (<< 2.0.18-2)
 Replaces: gpgsm (<< 2.0.18-2)
 Description: GNU privacy guard - smart card support
@@ -48,9 +67,11 @@
 Package: gpgsm
 Architecture: any
 Multi-Arch: foreign
-Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- scdaemon (= ${binary:Version})
-Recommends: dirmngr
+Depends: gnupg-agent (= ${binary:Version}),
+         scdaemon (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: dirmngr
 Breaks: gnupg2 (<< 2.0.0-2)
 Replaces: gnupg2 (<< 2.0.0-2)
 Description: GNU privacy guard - S/MIME version
@@ -66,10 +87,12 @@
 Package: gnupg2
 Architecture: any
 Multi-Arch: foreign
-Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
-  dpkg (>= 1.15.4) | install-info
+Depends: dpkg (>= 1.15.4) | install-info,
+         gnupg-agent (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: ${shlibs:Recommends}
-Suggests: gnupg-doc, xloadimage
+Suggests: gnupg-doc, parcimonie, xloadimage
 Conflicts: gpg-idea (<= 2.2)
 Description: GNU privacy guard - a free PGP replacement (new v2.x)
  GnuPG is GNU's tool for secure communication and data storage.
@@ -83,7 +106,7 @@
 Package: gpgv2
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: gnupg2 (<< 2.0.21-2)
 Replaces: gnupg2 (<< 2.0.21-2)
 Suggests: gnupg2
