=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,15 @@
 ifeq ($(DEB_HOST_ARCH),$(filter mips%,$(DEB_HOST_ARCH)))
 export DEB_BUILD_OPTIONS += nocheck
 endif
+export AUTOMAKE = automake-1.11
+export ACLOCAL  = aclocal-1.11
 
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libexecdir=\$${prefix}/lib/gnupg2 \
+		--enable-large-secmem \
 		--enable-symcryptrun
 
 override_dh_shlibdeps:
@@ -37,6 +40,9 @@
 	install -d debian/gnupg-agent/etc/X11/Xsession.d
 	install -m 644 debian/gnupg-agent.xsession \
 		debian/gnupg-agent/etc/X11/Xsession.d/90gpg-agent
+
+	# Upstart user job (only used under user sessions)
+	install -p -m 644 -D debian/gpg-agent.user-session.upstart debian/gnupg-agent/usr/share/upstart/sessions/gpg-agent.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs -pgnupg-agent agent/ChangeLog-2011
