## gnupg2 2.0.28

=== debian/changelog ===
gnupg2 (2.0.28-3ubuntu1) wily; urgency=low

  * Merge from Debian, remaining changes:
    - Drop sh prefix from openpgp test environment as it leads to exec
      invocations of sh /bin/bash leading to syntax errors from sh.  Fixes
      FTBFS detected in Ubuntu saucy archive rebuild.
    - Add udev rules to give gpg access to some smartcard readers;
      Debian #543217.
    - debian/gnupg2.udev: udev rules to set ACLs on SCM smartcard readers.
    - Add upstart user job for gpg-agent.
    - debian/control: drop dirmngr to Suggests as it is in universe.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 13 Jul 2015 13:18:38 +0100

gnupg2 (2.0.28-3) unstable; urgency=medium

  * pass DBUS_SESION_BUS_ADDRESS to the agent for gnome3.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 04 Jul 2015 14:21:41 -0400

gnupg2 (2.0.28-2) unstable; urgency=medium

  * d/clean: drop stamp-po to rebuild l10n (Closes: #788989)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Jun 2015 17:17:11 -0400

gnupg2 (2.0.28-1) unstable; urgency=medium

  * new upstream release
  * really address excess dependencies on headless server (thanks Raphaël
    Halimi for noticing) (Closes: #753163)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Jun 2015 12:16:57 -0400

gnupg2 (2.0.27-2) unstable; urgency=medium

  * import upstream fix to avoid replicating unknown subkey
    packets. (Closes: #787045) (Thanks, NIIBE Yutaka)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 May 2015 00:55:51 -0400

gnupg2 (2.0.27-1) unstable; urgency=medium

  * New upstream release.
  * Provide a simple way for users to avoid gpg-agent hijacking,
    working around: #760102 (Closes: #753163)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 08 May 2015 18:15:15 -0400

gnupg2 (2.0.26-6ubuntu3) wily; urgency=medium

  * debian/gpg-agent.user-session.upstart: Fix grep line for ssh-agent to not
    fail pre-start if it doesn't match, due to `set -e'.
  * debian/gpg-agent.user-session.upstart,
    debian/no-pinentry-gnome3.user-session.upstart: If we are using
    pinentry-gnome3, make gnupg-agent wait for dbus, since it needs to
    communicate over the bus.

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 03 Jul 2015 12:35:55 +0100

gnupg2 (2.0.26-6ubuntu2) wily; urgency=medium

  [ Mark Adams ]
  * Updated debian/gpg-agent.user-session.upstart so that global environment
    variables SSH_AUTH_SOCK and SSH_AGENT_PID are set if gpg-agent is running
    with SSH support. LP: #1407513

  [ Iain Lane ]
  * Fix whitespace in user session job.

 -- Mark Adams <mark@markadams.me>  Tue, 05 May 2015 13:09:36 +0100
