=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Eric Dorland <eric@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Standards-Version: 3.9.6
-Build-Depends: automake1.11,
+Build-Depends: automake,
                autopoint,
                debhelper (>= 9),
                dh-autoreconf,
@@ -16,7 +16,7 @@
                libassuan-dev (>= 2.0),
                libbz2-dev,
                libcurl4-gnutls-dev,
-               libgcrypt20-dev (>= 1.4.0),
+               libgcrypt20-dev (>= 1.5.0),
                libgpg-error-dev (>= 1.11),
                libksba-dev (>= 1.0.7),
                libldap2-dev,
@@ -33,7 +33,7 @@
 Package: gnupg-agent
 Architecture: any
 Multi-Arch: foreign
-Depends: pinentry-gtk2 | pinentry-curses | pinentry,
+Depends: pinentry-curses | pinentry,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnupg2 | gpgsm | gnupg
