=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,6 @@
 ifeq ($(DEB_HOST_ARCH),$(filter mips%,$(DEB_HOST_ARCH)))
 export DEB_BUILD_OPTIONS += nocheck
 endif
-export AUTOMAKE = automake-1.11
-export ACLOCAL  = aclocal-1.11
 
 %:
 	dh $@ --with autoreconf
@@ -43,6 +41,7 @@
 
 	# Upstart user job (only used under user sessions)
 	install -p -m 644 -D debian/gpg-agent.user-session.upstart debian/gnupg-agent/usr/share/upstart/sessions/gpg-agent.conf
+	install -p -m 644 -D debian/no-pinentry-gnome3.user-session.upstart debian/gnupg-agent/usr/share/upstart/sessions/no-pinentry-gnome3.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs -pgnupg-agent agent/ChangeLog-2011
