=== debian/watch ===
version=3

opts="pasv,pgpsigurlmangle=s/$/.sig/" \
  ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-(2\.0\..*)\.tar\.bz2
