## gnupg2 2.1.11

=== debian/changelog ===
gnupg2 (2.1.11-7b2) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Matthias Klumpp <mak@debian.org>  Sun, 29 May 2016 22:58:46 +0200

gnupg2 (2.1.11-7b1) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Tue, 24 May 2016 17:06:24 +0200

gnupg2 (2.1.11-7) unstable; urgency=medium

  * move to unstable
  * re-enable test suites on mips and mipsel since #730846 is resolved

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 18 Apr 2016 07:45:16 -0400

gnupg2 (2.1.11-6+exp4) experimental; urgency=medium

  * stop using help2man to fix cross-building
  * ensure gpgv-win32 is properly stripped
  * enable autopkgtest to run without root on systems that already have
    wine32 installed

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 01 Apr 2016 13:08:07 -0300

gnupg2 (2.1.11-6+exp3) experimental; urgency=medium

  * more cleanup on arch-dependent packages.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 30 Mar 2016 03:36:18 -0400

gnupg2 (2.1.11-6+exp2) experimental; urgency=medium

  * avoid build failures when building only arch-dependent or only
    arch-independent packages.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 30 Mar 2016 02:59:18 -0400

gnupg2 (2.1.11-6+exp1) experimental; urgency=medium

  * take over gpgv-win32 from gnupg 1.4 packaging

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 28 Mar 2016 23:27:43 -0400

gnupg2 (2.1.11-6) unstable; urgency=medium

  * avoid FTBFS with patch from upstream (Closes: #814842)
  * bumped standards-version to 3.9.7 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Mar 2016 09:36:41 +0100

gnupg2 (2.1.11-5) unstable; urgency=medium

  * taking over gpgv-udeb from gnupg 1.4 packaging
  * debian/control: use secure transport for Vcs-* and Homepage

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 04 Feb 2016 17:17:47 -0500

gnupg2 (2.1.11-4) unstable; urgency=medium

  * disable gpgtar, since it is causing unpredictable testsuite failures
    and we don't ship it anyway.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 03 Feb 2016 11:57:57 -0500

gnupg2 (2.1.11-3) unstable; urgency=medium

  * trying again to get a proper dump of the gpgtar.test.log. sigh.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 Jan 2016 08:34:22 -0500

gnupg2 (2.1.11-2) unstable; urgency=medium

  * added temporary hook to view failing gpgtar test output on build
    daemons since i can't replicate the failures on my own build systems.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 Jan 2016 00:53:29 -0500

gnupg2 (2.1.11-1) unstable; urgency=medium

  * new upstream release
    - drops buggy attempt to detect duplicate keys (Closes: #807819)
  * removed -dbg package, since we have automatic -dbgsym packages now
  * removed undocumented gpgkey2ssh; use gpg --export-ssh-key instead

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 25 Jan 2016 15:29:25 -0500

gnupg2 (2.1.10-3) unstable; urgency=medium

  * avoid infinite loop when doing --gen-revoke by fingerprint

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 12 Dec 2015 16:53:40 -0500

gnupg2 (2.1.10-2) unstable; urgency=medium

  * actually use sks-keyservers CA by default if the user asks for
    hkps://hkps.pool.sks-keyservers.net
  * move ownership of some files in /usr/share/gnupg2/ to more appropriate
    owners like gpgsm and dirmngr.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Dec 2015 17:06:10 -0500

gnupg2 (2.1.10-1) unstable; urgency=medium

  * new upstream release
  * ship sks-keyservers.netCA.pem in dirmngr to make it easier to use hkps.
  * avoid shipping Changelog-2011, use upstream ChangeLog (Closes:
    #803225)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 09 Dec 2015 12:05:42 -0500

gnupg2 (2.1.9-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 13 Oct 2015 10:04:33 -0400

gnupg2 (2.1.8-2) UNRELEASED; urgency=medium

  [ NIIBE Yutaka ]
  * update scdaemon dependencies

  [ Daniel Kahn Gillmor ]
  * correct ssh fingerprint for ECDSA nistp384 (Closes: #795636)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 17 Sep 2015 00:00:28 -0400

gnupg2 (2.1.8-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 10 Sep 2015 17:00:06 -0400

gnupg2 (2.1.7-2) unstable; urgency=medium

  * upload to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 11 Aug 2015 21:24:18 -0400

gnupg2 (2.1.7-1) experimental; urgency=medium

  * new upstream release
  * block ptrace connections to gpg-agent

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 11 Aug 2015 20:05:38 -0400

gnupg2 (2.1.6-1) experimental; urgency=medium

  * new upstream release
  * drop deprecated gpgsm-gencert.sh

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 07 Jul 2015 14:27:23 -0400

gnupg2 (2.1.5-2) experimental; urgency=medium

  [ Daniel Kahn Gillmor ]
  * pass DBUS_SESSION_BUS_ADDRESS through to the agent so that
    pinentry-gnome3 can work across sessions.
  * ensure that l10n files are rebuilt.

  [ Eric Dorland ]
  * debian/patches/0003-Include-defs.inc-in-BUILT_SOURCES.patch: Fix for
    build failure when rebuilding info docs.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Jun 2015 18:13:58 -0400

gnupg2 (2.1.5-1) experimental; urgency=medium

  * New upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 11 Jun 2015 13:18:56 -0400

gnupg2 (2.1.4-2) experimental; urgency=medium

  * avoid excess dependencies on headless servers (Closes: #753163)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 03 Jun 2015 14:12:49 -0400

gnupg2 (2.1.4-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 May 2015 00:25:55 -0400

gnupg2 (2.1.3-1) experimental; urgency=medium


