=== debian/control ===
Source: gnupg2
Section: utils
Priority: optional
Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
Uploaders: Eric Dorland <eric@debian.org>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 3.9.7
Build-Depends: automake,
               autopoint,
               debhelper (>= 9),
               dh-autoreconf,
               file,
               gettext,
               ghostscript,
               libassuan-dev (>= 2.4.1),
               libbz2-dev,
               libcurl4-gnutls-dev,
               libgcrypt20-dev (>= 1.6.0),
               libgnutls28-dev (>= 3.0),
               libgpg-error-dev (>= 1.15),
               libksba-dev (>= 1.2.0),
               libldap2-dev,
               libnpth0-dev (>= 0.91),
               libreadline-dev,
               libsqlite3-dev,
               libusb-dev,
               pkg-config,
               texinfo,
               transfig,
               zlib1g-dev | libz-dev
Build-Depends-Indep: libassuan-mingw-w64-dev,
                     libgcrypt-mingw-w64-dev,
                     libgpg-error-mingw-w64-dev,
                     libksba-mingw-w64-dev,
                     libnpth-mingw-w64-dev,
                     libz-mingw-w64-dev,
                     mingw-w64,
                     win-iconv-mingw-w64-dev
Vcs-Git: https://anonscm.debian.org/git/pkg-gnupg/gnupg2.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnupg/gnupg2.git
Homepage: https://www.gnupg.org/

Package: gnupg-agent
Architecture: any
Multi-Arch: foreign
Depends: pinentry-curses | pinentry, ${misc:Depends}, ${shlibs:Depends}
Recommends: gnupg2 | gpgsm | gnupg
Conflicts: newpg
Replaces: gnupg2 (<< 2.0.18-2), gpgsm (<< 2.0.18-2), newpg
Breaks: gnupg2 (<< 2.0.18-2), gpgsm (<< 2.0.18-2)
Description: GNU privacy guard - cryptographic agent
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC4880.
 .
 This package contains the agent program gpg-agent which handles all
 secret key material for OpenPGP and S/MIME use.  The agent also
 provides a passphrase cache, which is used by pre-2.1 versions of
 GnuPG for OpenPGP operations.

Package: scdaemon
Architecture: any
Multi-Arch: foreign
Depends: gnupg-agent (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: gpgsm (<< 2.0.18-2)
Replaces: gpgsm (<< 2.0.18-2)
Description: GNU privacy guard - smart card support
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC4880.
 .
 This package contains the smart card program scdaemon, which is used
 by gnupg-agent to access OpenPGP smart cards.

Package: gpgsm
Architecture: any
Multi-Arch: foreign
Depends: gnupg-agent (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: dirmngr (>= 2.1.0~)
Breaks: gnupg2 (<< 2.1.10-2)
Replaces: gnupg2 (<< 2.1.10-2)
Description: GNU privacy guard - S/MIME version
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC4880.
 .
 This package contains the gpgsm program. gpgsm is a tool to provide
 digital encryption and signing services on X.509 certificates and the
 CMS protocol. gpgsm includes complete certificate management.

Package: gnupg2
Architecture: any
Multi-Arch: foreign
Depends: dpkg (>= 1.15.4) | install-info,
         gnupg-agent (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dirmngr (>= 2.1.0~), ${shlibs:Recommends}
Suggests: gnupg-doc, parcimonie, xloadimage
Conflicts: gpg-idea (<= 2.2)
Breaks: dirmngr (<< 2.1.0~)
Description: GNU privacy guard - a free PGP replacement (new v2.x)
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC4880.
 .
 GnuPG 2.x is the new modularized version of GnuPG supporting OpenPGP
 and S/MIME.

Package: gpgv2
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gnupg2 (<< 2.0.21-2)
Replaces: gnupg2 (<< 2.0.21-2)
Suggests: gnupg2
Description: GNU privacy guard - signature verification tool (new v2.x)
 GnuPG is GNU's tool for secure communication and data storage.
 .
 gpgv2 is actually a stripped-down version of gpg2 which is only able
 to check signatures. It is somewhat smaller than the fully-blown gpg2
 and uses a different (and simpler) way to check that the public keys
 used to make the signature are valid. There are no configuration
 files and only a few options are implemented.

Package: dirmngr
Architecture: any
Depends: adduser, lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Enhances: gnupg2, gpgsm, squid
Breaks: gnupg2 (<< 2.1.10-2)
Replaces: gnupg2 (<< 2.1.10-2)
Description: server for managing certificate revocation lists
 DirMngr is a server for managing and downloading certificate revocation
 lists (CRLs) for X.509 certificates and for downloading the certificates
 themselves.  DirMngr also handles OCSP requests as an alternative to
 CRLs.  DirMngr is either invoked internally by gpgsm or when running as
 a system daemon through the dirmngr-client tool.

Package: gpgv-udeb
Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: minimal signature verification tool
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC 4880.
 .
 This is GnuPG's signature verification tool, gpgv, packaged in minimal
 form for use in debian-installer.

Package: gpgv-win32
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: wine
Description: GNU privacy guard - signature verification tool (win32 build)
 GnuPG is GNU's tool for secure communication and data storage.
 .
 gpgv is a stripped-down version of gnupg which is only able to check
 signatures.  It is smaller than the full-blown gnupg and uses a
 different (and simpler) way to check that the public keys used to
 make the signature are trustworthy.
 .
 This is a win32 version of gpgv.  It's meant to be used by the win32-loader
 component of Debian-Installer.
