=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for GNUPG (1.9)
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2003 by James Troup.
# Copyright 2003-2004 by Matthias Urlichs.
# 
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

GPGV_UDEB_UNNEEDED = gpgtar bzip2 gpgsm scdaemon dirmngr doc tofu exec ldap gnutls dns-srv sqlite

WIN32_FLAGS=LDFLAGS="-Xlinker --no-insert-timestamp -static" CFLAGS="-g -Os" CPPFLAGS=

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-gpgv-udeb -- \
	   	$(foreach x, $(GPGV_UDEB_UNNEEDED), --disable-$(x))
	dh_auto_configure --builddirectory=build -- --libexecdir=\$${prefix}/lib/gnupg2 \
		--disable-gpgtar \
		--enable-symcryptrun --enable-large-secmem

override_dh_auto_build-arch:
	dh_auto_build --builddirectory=build-gpgv-udeb
	ln build-gpgv-udeb/g10/gpgv2 build-gpgv-udeb/g10/gpgv
	dh_auto_build --builddirectory=build

override_dh_auto_build-indep:
	mkdir -p build-gpgv-win32
	cd build-gpgv-win32 && $(WIN32_FLAGS) ../configure \
	   	$(foreach x, $(GPGV_UDEB_UNNEEDED), --disable-$(x)) \
		$(foreach x, libgpg-error libgcrypt libassuan libiconv ksba npth, --with-$x-prefix=/usr/i686-w64-mingw32) \
		--with-zlib=/usr/i686-w64-mingw \
		--without-libiconv-prefix \
		--prefix=/usr/i686-w64-mingw32 \
		--host i686-w64-mingw32
	cd build-gpgv-win32/common && $(WIN32_FLAGS) $(MAKE) libcommon.a
	cd build-gpgv-win32/common && $(WIN32_FLAGS) $(MAKE) libgpgrl.a
	cd build-gpgv-win32/common && $(WIN32_FLAGS) $(MAKE) libsimple-pwquery.a
	cd build-gpgv-win32/kbx && $(WIN32_FLAGS) $(MAKE) libkeybox.a
	cd build-gpgv-win32/g10 && $(WIN32_FLAGS) $(MAKE) gpgv2.exe

override_dh_shlibdeps:
# Make ldap a recommends rather than a hard dependency.
	dpkg-shlibdeps -Tdebian/dirmngr.substvars -dRecommends debian/dirmngr/usr/lib/gnupg2/dirmngr_ldap -dDepends debian/dirmngr/usr/bin/dirmngr*
	dh_shlibdeps -Ndirmngr

override_dh_auto_install-arch:
	dh_auto_install --builddirectory=build
	install -d debian/gnupg-agent/etc/X11/Xsession.d
	install -m 644 debian/gnupg-agent.xsession \
		debian/gnupg-agent/etc/X11/Xsession.d/90gpg-agent

override_dh_auto_install-indep:
	mkdir -p debian/gpgv-win32/usr/share/win32
	install build-gpgv-win32/g10/gpgv2.exe debian/gpgv-win32/usr/share/win32/gpgv.exe
	strip debian/gpgv-win32/usr/share/win32/gpgv.exe

override_dh_auto_test:
	if ! dh_auto_test; then echo xxx; cat tests/openpgp/gpgtar.test.log; echo xxx; false; fi
