## gnupg2 2.1.11-6ubuntu2.1%2B8.0trisquel1

=== debian/changelog ===
gnupg2 (2.1.11-6ubuntu2.1+8.0trisquel1) flidas-security; urgency=medium

  * Add support to scdaemon for shared access mode

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 26 Apr 2019 01:52:43 +0000

gnupg2 (2.1.11-6ubuntu2.1) xenial-security; urgency=medium

  * SECURITY UPDATE: missing sanitization of verbose output
    - debian/patches/CVE-2018-12020.patch: Sanitize diagnostic with
      the original file name.
    - CVE-2018-12020
  * backport patch to handle the tofu tests expiring in 2016
    - d/p/0006-tests-openpgp-Fake-the-system-time-for-the-tofu-test.patch

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 14 Jun 2018 10:41:36 -0700

gnupg2 (2.1.11-6ubuntu2) xenial; urgency=medium

  * Fix upstart user-session integration with new pinentry:
  - restart gpg-agent, once dbus is started, such that agent has DBUS
    session environemnt set and can connect to the pinentry-gnome3 Closes:
    #790316 Closes: #795368 LP: #1566928
  - use gpgconf to launch/kill gpg-agent and to check settings

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 08 Apr 2016 08:55:10 +0100

gnupg2 (2.1.11-6ubuntu1) xenial; urgency=medium

  * Adds support for --pinentry= argument for gpgme1.0 (LP: #1564234)
  * Merge with debian, remaining changes:
    - Add udev rules to give gpg access to some smartcard readers;
      Debian #543217.
    - debian/gnupg2.udev: udev rules to set ACLs on SCM smartcard readers.
    - Add upstart user job for gpg-agent.
  * Dropped no longer applicable changes in merge:
    - Drop sh prefix from openpgp test environment as it leads to exec
      invocations of sh /bin/bash leading to syntax errors from sh.  Fixes
      FTBFS detected in Ubuntu saucy archive rebuild.
    - debian/control: drop dirmngr to Suggests as it is in universe.
    - gcc5-fix.patch: add upstream fix for an optimization issue when
      compiling with gcc 5.

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 30 Mar 2016 23:20:09 -0500

gnupg2 (2.0.28-3ubuntu2) xenial; urgency=medium

  * debian/gcc5-fix.patch: add upstream fix for an optimization issue when
    compiling with gcc 5. (LP: #1501634)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Feb 2016 16:11:42 -0500
